Bug 27493 - Improve structure and style of checkbox columns in tables
Summary: Improve structure and style of checkbox columns in tables
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-20 09:03 UTC by Martin Renvoize
Modified: 2021-02-11 22:00 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27493: Set column wifth for checkbox only columns (13.88 KB, patch)
2021-01-20 09:24 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27493: Add styling for hidden columns (877 bytes, patch)
2021-01-20 12:44 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27493: Set column wifth for checkbox only columns (14.00 KB, patch)
2021-01-25 12:00 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27493: Add styling for hidden columns (940 bytes, patch)
2021-01-25 12:00 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27493: Add styling for hidden columns (998 bytes, patch)
2021-01-26 22:04 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27493: Set column width for checkbox only columns (14.00 KB, patch)
2021-01-28 08:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27493: Add styling for hidden columns (998 bytes, patch)
2021-01-28 08:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27493: (follow-up) Remove redundant class (14.61 KB, patch)
2021-01-28 12:59 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-01-20 09:03:30 UTC
The width of the checkbox column in most tables in the OPAC is dynamically assigned and as such is often very wide for it's minimal content.

I propose to set these fields to a fixed width as we know how large a checkbox is likely to be.
Comment 1 Martin Renvoize 2021-01-20 09:24:02 UTC
Created attachment 115416 [details] [review]
Bug 27493: Set column wifth for checkbox only columns

This patch updates the global OPAC css such that selectcol type columns
in tables are fixed width at 1ch to ensure these columns do not get
unneccessarily wide.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Test plan
PAGES: opac-basket, opac-messaging, opac-results, opac-search-history,
opac-suggestions and opac-tags.
1/ Notice that the column containing a checkbox on each of the above
pages is of a mised width, often much larger than required
2/ Apply the patch and rebuild the css file as described above
3/ Notices that the column containing a checkbox on each fo the above
pages is now of a standard, sensible, width.
4/ Signoff
Comment 2 Martin Renvoize 2021-01-20 12:44:10 UTC
Created attachment 115428 [details] [review]
Bug 27493: Add styling for hidden columns

I'm sure adding a 'hidden' class to a table column used to remove it
from display entirely.. seems that's no longer the case so we add the
CSS back in here.
Comment 3 PTFS Europe Sandboxes 2021-01-25 12:00:41 UTC
Created attachment 115753 [details] [review]
Bug 27493: Set column wifth for checkbox only columns

This patch updates the global OPAC css such that selectcol type columns
in tables are fixed width at 1ch to ensure these columns do not get
unneccessarily wide.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Test plan
PAGES: opac-basket, opac-messaging, opac-results, opac-search-history,
opac-suggestions and opac-tags.
1/ Notice that the column containing a checkbox on each of the above
pages is of a mised width, often much larger than required
2/ Apply the patch and rebuild the css file as described above
3/ Notices that the column containing a checkbox on each fo the above
pages is now of a standard, sensible, width.
4/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 4 PTFS Europe Sandboxes 2021-01-25 12:00:44 UTC
Created attachment 115754 [details] [review]
Bug 27493: Add styling for hidden columns

I'm sure adding a 'hidden' class to a table column used to remove it
from display entirely.. seems that's no longer the case so we add the
CSS back in here.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 5 Sally 2021-01-25 12:07:25 UTC
Works as described in all locations.

Whilst testing, I noticed an issue on the tooltip for opac-messaging.pl so I've logged that as another bug.  Bug 27543.
Comment 6 Katrin Fischer 2021-01-26 22:04:36 UTC
Created attachment 115847 [details] [review]
Bug 27493: Add styling for hidden columns

I'm sure adding a 'hidden' class to a table column used to remove it
from display entirely.. seems that's no longer the case so we add the
CSS back in here.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2021-01-28 08:35:16 UTC
Created attachment 115922 [details] [review]
Bug 27493: Set column width for checkbox only columns

This patch updates the global OPAC css such that selectcol type columns
in tables are fixed width at 1ch to ensure these columns do not get
unneccessarily wide.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

Test plan
PAGES: opac-basket, opac-messaging, opac-results, opac-search-history,
opac-suggestions and opac-tags.
1/ Notice that the column containing a checkbox on each of the above
pages is of a mised width, often much larger than required
2/ Apply the patch and rebuild the css file as described above
3/ Notices that the column containing a checkbox on each fo the above
pages is now of a standard, sensible, width.
4/ Signoff

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2021-01-28 08:35:19 UTC
Created attachment 115923 [details] [review]
Bug 27493: Add styling for hidden columns

I'm sure adding a 'hidden' class to a table column used to remove it
from display entirely.. seems that's no longer the case so we add the
CSS back in here.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Jonathan Druart 2021-01-28 08:35:29 UTC
- Fixed typo in first patch wifth vs width
- Added missing signed-off-by line from QA
Comment 10 Jonathan Druart 2021-01-28 09:30:38 UTC
I don't think we need the 2 classes, "select" and "selectcol". I didn't find .select in the .scss files, and the only places it was used was opac-results.tt, where it has been removed.

Owen, can you take a look please?
Comment 11 Owen Leonard 2021-01-28 12:59:56 UTC
Created attachment 115932 [details] [review]
Bug 27493: (follow-up) Remove redundant class

This patch modifies the templates so that instances of "class='select
selectcol' are replaced with "class='selectcol'". I could find no
instances of the "select" class being used in CSS or JS.
Comment 12 Jonathan Druart 2021-01-28 16:35:00 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 13 Fridolin Somers 2021-02-05 15:22:43 UTC
Enhancement not pushed to 20.11.x